## ircd 2.10.07

=== ircd/crypt/Makefile ===
#************************************************************************
#*   IRC - Internet Relay Chat, ircd/crypt/Makefile
#*   Copyright (C) 1991 Darren Reed
#*
#*   This program is free software; you can redistribute it and/or modify
#*   it under the terms of the GNU General Public License as published by
#*   the Free Software Foundation; either version 1, or (at your option)
#*   any later version.
#*
#*   This program is distributed in the hope that it will be useful,
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#*   GNU General Public License for more details.
#*
#*   You should have received a copy of the GNU General Public License
#*   along with this program; if not, write to the Free Software
#*   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#*/
#
# Change this to the path of your local ircd.conf file
#
IRCDCONF = /usr/local/lib/irc/ircd.conf

LIBS = -lcrypt

all: mkpasswd
crypt: install

mkpasswd: mkpasswd.c
	gcc -Wall -O2 mkpasswd.c -o mkpasswd ${LIBS}

install:
	crypter ${IRCDCONF}
	@echo 'done.'

clean:
	/bin/rm -f mkpasswd
