## ircd 3.0

=== debian/changelog ===
ircd (3.0) unstable; urgency=low

  * Made ircd a meta package:
   - there will be no more updates for "ircd"
   - added Depends: on ircd-ircu
 
 -- Martin Loschwitz <madkiss@debian.org>  Fri, 21 Mar 2003 17:55:00 +0100
 

ircd (2.10.10.pl18-4) unstable; urgency=high

  * Removed Conflicts: and added Replaces: to debian/rules 
  * Removed irc.1.gz (Closes: #144549)
  * Changed init-file to check for ircd-binary.

 -- Martin Loschwitz <madkiss@madkiss.org>  Fri, 26 Apr 2002 20:15:00 +0200
   

ircd (2.10.10.pl18-3) unstable; urgency=high

  * Added Conflicts: for ircd-dalnet (Closes: #144549)
 
 -- Martin Loschwitz <madkiss@madkiss.org>  Fri, 26 Apr 2002 16:05:00 +0200
     

ircd (2.10.10.pl18-2) unstable; urgency=medium

  * Added debconf note about dancer-ircd
  * Package is ready for woody now (Closes: #143794)

 -- Martin Loschwitz <madkiss@madkiss.org>  Thu, 21 Apr 2002 19:40:00 +0200
 

ircd (2.10.10.pl18-1) unstable; urgency=low

  * New Maintainer
  * Removed dancer-ircd from package (Closes: #141241)
  * Repackaging (Closes: #84567, #121042, #121041, #63280, #61336)
  * new upstream version (Closes: #128180, #142353, #58757)

 -- Martin Loschwitz <madkiss@madkiss.org>  Thu, 13 Apr 2002 10:29:00 +0200
   

ircd (2.10.07-1.1) unstable; urgency=low
  * Non-maintainer upload.
  * Fix printf-is-a-macro issue (gcc 3.0).  Closes: #103152

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

ircd (2.10.07-1) unstable; urgency=low

  * New upstream version.
  * Removed setgidness, closes: #37103, #42939, #52763.
  * Fixed inability to install if /etc/ircd doesn't exist, closes: #52327.

 -- Johnie Ingram <johnie@debian.org>  Fri, 17 Dec 1999 19:19:02 -0600

ircd (2.10.06-2) unstable; urgency=low

  * Really fix sgidness, closes: #37103, #42939.  Hi Ian.

 -- Johnie Ingram <johnie@debian.org>  Tue, 14 Sep 1999 13:37:53 -0500

ircd (2.10.06-1) unstable; urgency=low

  * New upstream version.
  * Updated to Standards-Version 3.0.1.0
  * Broke linpeople patches down further, added support for a local
    ircd.conf file and shorter resolve timeout.
  * ircd is no longer sgid root, closes: #37103, #42939.
  * dancerconfig no longer tries to chown and chgrp, closes: #42232.

 -- Johnie Ingram <johnie@debian.org>  Tue, 14 Sep 1999 12:58:39 -0500

ircd (2.10.05-4) unstable; urgency=low

  * Changed CHANNELLEN in dancer from 200 to 60 to match network policy.
  * Removed typo in postint, again closes: #36382, #36428.

 -- Johnie Ingram <johnie@debian.org>  Wed, 28 Apr 1999 04:34:17 -0400

ircd (2.10.05-3) unstable; urgency=low

  * Fixed sed in postinst with perl magic from Roderick Schertler, closes:
    #36382, #36428.

 -- Johnie Ingram <johnie@debian.org>  Tue, 27 Apr 1999 11:33:06 -0400

ircd (2.10.05-2) unstable; urgency=low

  * Moved socket in default conf from /tmp to /var/run, closes: #35243.
  * Added internal target for building libc5 dancer binary.

 -- Johnie Ingram <johnie@debian.org>  Mon, 12 Apr 1999 06:25:27 -0400

ircd (2.10.05-1) unstable; urgency=low

  * New upstream version (2.10.05.18.(ipcheck4-5)).
  * Updated config file to add separate port (8005) for server-only
    connects, closes: #32845.
  * Fixed docs in default MOTD, and made it world-readable, closes:
    #34347.

 -- Johnie Ingram <johnie@debian.org>  Sun, 21 Mar 1999 17:22:00 -0500

ircd (2.10.04+-3) unstable; urgency=low

  * Fixed SPATH for dancer, closes: #32760.
  * New upstream version (CVS), closes: #31775, #30504.  

 -- Johnie Ingram <johnie@debian.org>  Thu,  4 Feb 1999 13:26:15 -0500

ircd (2.10.04+-2) unstable; urgency=low

  * New upstream version (CVS), closes: #31775, #30504.
  * Lets see of this works shall we ----^

 -- Johnie Ingram <johnie@debian.org>  Sun, 31 Jan 1999 14:55:24 -0500

ircd (2.10.04+-1) unstable; urgency=low

  * Used -r for directory delete in postrm (#31775).
  * New upstream version ircu2.10.04+.resolv7-9.nodns.egcs.config17-18.nmt.doc6-7.msgflags2-3.chroot1-2.egcs1-2.nip.tok.pten.tlim2-3.illegal.tlim3-4.admin.admin1-2.upper3-4.upper4-5.whisper2-3.egcs2-3.egcs3-4.ipcheck.cpp.cpp1-2.acr1.ipcheck1-2.gipl.masks.full.config18-19.modeless5-7.fdsetsize.doc7-8.url.cpp2-3.collapse.space.hashv.findname.findnickserver.inthashnick.nousertarget.findmatchserver.netbsd.hashv1-2.config19-20.common.isperson.config20-21.naming.cpp3-4.bursthack2.modeless7-8.charattribs.newcommon.tolower.toupper.ctype.match1.mycmp.newcollapse.matchexec.newhash.mmexec.newcollapse1-2.matchexec1-2.usernames.newhash1-2.nickjupes2.match1-2.settime3-4.newcommon1-3.forceinline.newcommon3-5.newcommon5-6.usernames1-2.forceinline1-2.getshort.tlim4-5.misc2-3.forceinline2-3.dead2-3.config21-22.nomotd.kcq.rpl272.findnuser.nnn.matchcompip (CVS).
  * Removed possible bashism in postrm.
  * For dancer: added patch, changed compiler to gcc and removed -pipe
    from CFLAGS for Solaris compatibility.

 -- Johnie Ingram <johnie@debian.org>  Sun, 31 Jan 1999 04:59:09 -0500

ircd (2.10.04-4) unstable; urgency=low

  * Eliminated duplication of file TODO (#28820) by removing both files.
  * Changed location of pid file so ircd can write to it (#28857).
  * Fixed in previous versions: changes /etc/services (#28821), missing
    manpage (#28857), segfault on /admin (30504, kept open for
    documentation until slink release).

 -- Johnie Ingram <johnie@debian.org>  Sat, 19 Dec 1998 23:54:19 -0500

ircd (2.10.04-3) unstable; urgency=low

  * Updated to Standards-Version 2.5.0.0.
  * Added expanded T-line syntax to dancer -- it can match either the
    client host or the servers virtual interface IP.  Inside the MOTD, a ^
    at a line start means PRIVMSG and > means NOTICE.

 -- Johnie Ingram <johnie@debian.org>  Sun, 29 Nov 1998 22:07:30 -0500

ircd (2.10.04-2) unstable; urgency=low

  * Configured for correct SPATH (#28057).
  * Installed correct manpage (ircd.8, not irc.1) and remote.motd
    (#27985). 

 -- Johnie Ingram <johnie@debian.org>  Tue, 13 Oct 1998 14:31:36 -0400

ircd (2.10.04-1) unstable; urgency=low

