=== debian/control ===
Source: ircd
Section: net
Priority: optional
Maintainer: Martin Loschwitz <madkiss@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.9

Package: ircd
Architecture: all 
Depends: ircd-ircu (>= 2.10.11.04-2)
Description: IRC Server daemon - dummy package
 This is a dummy package that depends on ircd-ircu. It is mostly there
 to upgrade the old 'ircd' package, which will be removed from archive
 after sarge released.
