=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=3

clean:
	
	dh_testdir
	dh_testroot
	dh_clean

build:

binary-indep: build

	dh_testdir
	dh_testroot
	
	dh_installchangelogs
	dh_installdocs
	dh_compress
	
	dh_installdeb
	dh_gencontrol
	
	dh_md5sums
	dh_builddeb

binary-arch: build
	
binary: binary-indep binary-arch
.PHONY: clean binary-indep binary-arch binary
